Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.core
Class SolverBenchmark

    java.lang.Object
      org.drools.planner.benchmark.core.SolverBenchmark

    public class SolverBenchmark

extends Object

Constructor Summary
`SolverBenchmark()`

Method Summary
`void` | `benchmarkingEnded()`
`void` | `benchmarkingStarted()`
`Score` | `getAverageScore()`
`String` | `getName()`
`List<PlannerBenchmarkResult>` | `getPlannerBenchmarkResultList()`
`List<ProblemBenchmark>` | `getProblemBenchmarkList()`
`Integer` | `getRanking()`
`List<Score>` | `getScoreList()`
`SolverConfig` | `getSolverConfig()`
`Score` | `getTotalScore()`
`boolean` | `isRankingBest()`
`void` | `setName(String name)`
`void` | `setPlannerBenchmarkResultList(List<PlannerBenchmarkResult> plannerBenchmarkResultList)`
`void` | `setProblemBenchmarkList(List<ProblemBenchmark> problemBenchmarkList)`
`void` | `setRanking(Integer ranking)`
`void` | `setSolverConfig(SolverConfig solverConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolverBenchmark

    public SolverBenchmark()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getSolverConfig

    public SolverConfig getSolverConfig()

### setSolverConfig

    public void setSolverConfig(SolverConfig solverConfig)

### getProblemBenchmarkList

    public List<ProblemBenchmark> getProblemBenchmarkList()

### setProblemBenchmarkList

    public void setProblemBenchmarkList(List<ProblemBenchmark> problemBenchmarkList)

### getPlannerBenchmarkResultList

    public List<PlannerBenchmarkResult> getPlannerBenchmarkResultList()

### setPlannerBenchmarkResultList

    public void setPlannerBenchmarkResultList(List<PlannerBenchmarkResult> plannerBenchmarkResultList)

### getRanking

    public Integer getRanking()

### setRanking

    public void setRanking(Integer ranking)

### benchmarkingStarted

    public void benchmarkingStarted()

### benchmarkingEnded

    public void benchmarkingEnded()

### isRankingBest

    public boolean isRankingBest()

### getTotalScore

    public Score getTotalScore()

### getAverageScore

    public Score getAverageScore()

### getScoreList

    public List<Score> getScoreList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.